Subject: RE: [seamoby] Response of Mobile Operator to Request for Info on Realistic Paging

From: "Casati, Alessio \(Alessio\)" <[email-masked]>
Date: Thu, 5 Apr 2001 17:27:56 +0100

*Okay, folks, I spoke with a mobile operator here at MWIF in Korea.
*Alessio, I'm really sorry they can't post themselves, but they 
*generally
*don't hang out on specific IETF working group lists. One of 
*them will be
*at IETF 51, and hopefully involved in a requirements discussion via
*email beforehand (as soon as we can set up the list), so you 
*can ask him there
*if you think I'm making this up.

I don't think you are making this up. I think I need his e-mail address 
so that I'm enabled to ask him though. If I could have his name, I could
also know how to start my message in a polite way.

*Some background on the operator. 

I guess this is a man, not an operator...

*The operator I talked with 
*has had over 10 
*years of experience deploying GSM networks in Asia, and is a major 
*technical contributor to a leading European cellular provider. 
*He is very 
*critical of the direction being taken
*by 3GPP, 
*sees IETF as a promising possiblity to make the 
*mobile Internet
*happen the way most IETFer's would like to see it happen.

Me too, but the mobile Inernet is not bound to configuring
multiple subnets to a paging area. 

*His 
*view is therefore
*likely to be different from someone who thinks 3GPP is the 
*bees knees, however,
*technically, this guy is at the top of the pack. He knows cellular.

This WG needs badly this sort of folks. He should be contributing more.

*His response was that it is important and necessary that no a 
*priori connection
*be assumed between subnets and paging areas. Another example, not
*cited in the draft which came out in our conversation, 
*involves overlapping 
*paging areas. It is sometimes necessary to configure a paging 
*area entirely 
*within another paging area, due to hotspots where there are 
*lots of mobile 
*nodes in dormant mode. There absolutely cannot be any constraint as to 
*subnet in this case, because the inner, donut hole may have an 
*arbitrary 
*relation to the subnets.

Yes, but IP does not care since these paging areas are used to establish a
link.
When the link is established, the mobile will be attached to the same 
point of the attachement to the internet where it was last attached
at the last Mobile IP registration request. If this does not happen, it has
to
be considered a failure of the mobile IP model (and a MS or network
misconfiguration).
Infact, the home agent could never be assured to be sending data to the MN,
when it tunnels to the FA.

*BTW, I also asked him about the case where wCDMA allows a mobile node
*to have more than one paging identifier, and he said this was because
*the mobile node could be in soft handoff between two RNCs that were in
*two different location areas. It would therefore require a 
*paging identifier
*for both.

So what? Are we discussing about the operation of WCMA or assessing
a problem statement you are editor of? How does it relate
to the topic at hand? Which is:

"we need paging at level 3 since there can be more subnets mapped to
a paging area".
On this I fairly disagree. On this the guy you interviewed seem to agree
instead, but you have not told us what is the benefit of such config.
Yet.

*I suppose it is possible to spin this however you want if you 
*do or don't 
*believe
*the problem statement, but, to me, it seems a pretty clear 
*endorsement of
*the problem statement.

I cannot but abide by your thoughts, since you own them.

I would however disagree on a non technical and technical grounds.

1) I don't think the IETF can work by receiving endorsements by
some anonymous people... At least this is not in the process so
far. We need technical discussion to happen. And the issuer of opinions
must be identifiable via an email account.

2)If a single paging area maps to multiple subnets, then any incoming packet
over any of those
subnets will be sent eventually over a link linked to the same 
access net the user was previously attached to. It turns out that in mobile
IP, if the user does not send a registration request that changes the subnet
the COA
is associated to, the packet will be incoming over the expected subnet.
Otherwise mobile IP is not operating correctly.

So: packet is iscoming on the correct subnet, the link is in the access net
where
the mobile was before it went asleep, as such there is no problem to be
solved.

If a packet is incoming at a subnet other that the one the mobile was
attached to,
it will be discarded. If the mobile is attached to another subnet but at the
same access net
as before, it must have sent a mobile IP registration request to get the COA
moved to that 
subnet. 

best redards.

alessio

---

From: Michael Thomas <[email-masked]>
Date: Thu, 5 Apr 2001 10:15:53 -0700 (PDT)

Alessio,

It's clear that you think that there is not a
problem to be solved in the paging area. A
consensus of people here disagree. There are lot
of things that I think are useless and should not
be done too, but there is little point to
expending effort trying to stop something that
already has consensus to go forward. The market
will eventually decide who was right. In the mean
time, if it's not your intention to just be
disruptive to slow things down, it would nice to
know that so that I don't have to make a new
procmail recipe.

		Mike